<?xml version="1.0" encoding="utf-8" ?>
<urls>

  <url name="ShowPhoto" path="/{0}/ShowPhoto/{1}.aspx" pattern="/(\w+)/ShowPhoto/(\d+).aspx" vanity="/System/ShowPhoto.aspx?Account=$1^PhotoID=$2" />
  <url name="Account" path="/{0}/default.aspx" pattern="/(\w+)/default.aspx" vanity="/System/default.aspx?Account=$1" />
  
  <url name="BlogPage" path="/{0}/BlogIndex/{1}.aspx" pattern="/(\w+)/BlogIndex/(\d+).aspx" vanity="/System/BlogIndex.aspx?Account=$1^Page=$2" />
  <url name="BlogHome" path="/{0}/BlogIndex.aspx" pattern="/(\w+)/BlogIndex.aspx" vanity="/System/BlogIndex.aspx?Account=$1" />
  <url name="TagPage" path="/{0}/tags/TagPage/{1}.aspx" pattern="/(\w+)/tags/TagPage/([\w|-]+).aspx" vanity="/System/BlogIndex.aspx?Account=$1^tagName=$2" />
  <url name="TagPage2" path="/{0}/tags/{1}/{2}.aspx" pattern="/(\w+)/tags/(\w+)/(\d+).aspx" vanity="/System/BlogIndex.aspx?Account=$1^tagName=$2^Page=$3" />
  <url name="BlogCategoryPage" path="/{0}/{1}/Category/{2}.aspx" pattern="/(\w+)/(\d+)/Category/(\d+).aspx" vanity="/System/BlogIndex.aspx?Account=$1^CategoryID=$2^Page=$3" />
  <url name="BlogCategory" path="/{0}/Category/{1}.aspx" pattern="/(\w+)/Category/(\d+).aspx" vanity="/System/BlogIndex.aspx?Account=$1^CategoryID=$2" />
  <url name="PlayFlash" path="/{0}/FlashPlay/{1}.aspx" pattern="/(\w+)/FlashPlay/(\w+).aspx" vanity="/System/FlashPlayer.aspx?Account=$1^FileID=$2" />
  <url name="BlogView" path="/{0}/archive/{1}.aspx" pattern="/(\w+)/archive/(\d+).aspx" vanity="/System/viewpost.aspx?Account=$1^PostID=$2" />
  <url name="BlogView2" path="/{0}/archive/{1}/{2}.aspx" pattern="/(\w+)/archive/(\d+)/(\d+).aspx" vanity="/System/viewpost.aspx?Account=$1^PostID=$2^Page=$3" />
  <url name="SetFolder" path="/{0}/UpdateDir/{1}.aspx" pattern="/([\w,]+)/UpdateDir/(\w+).aspx" vanity="/System/UpdateDir.aspx?Account=$1^DirectoryID=$2" />
  <url name="ViewPost" path="/archive/{0}/{1}/{2}/{3}.aspx" pattern="/archive/(\d{2,4})/(\d{1,2})/(\d{1,2})/(\d+)\.aspx" vanity="/System/viewpost.aspx?Year=$1^Month=$2^Day=$3^PostID=$4" />
  <url name="UserDisk" path="/{0}/disk/{1}.aspx" pattern="/(\w+)/disk/(\w+).aspx" vanity="/System/Disk.aspx?Account=$1^DirectoryID=$2" />
  <url name="EditDoc" path="/{0}/EditDoc/{1}.aspx" pattern="/(\w+)/EditDoc/(\w+).aspx" vanity="/System/EditDoc.aspx?Account=$1^FileID=$2" />
  <url name="DiskHome" path="/{0}/DiskHome.aspx" pattern="/(\w+)/DiskHome.aspx" vanity="/System/Disk.aspx?Account=$1" />
  <url name="MusicBox" path="/{0}/MusicBox.aspx" pattern="/(\w+)/MusicBox.aspx" vanity="/System/MusicBox.aspx?Account=$1" />
  <url name="Album2" path="/{0}/Album/{1}.aspx" pattern="/(\w+)/Album/(\w+).aspx" vanity="/System/Album.aspx?Account=$1^AlbumID=$2" />
  <url name="Album" path="/{0}/Album.aspx" pattern="/(\w+)/Album.aspx" vanity="/System/Album.aspx?Account=$1" />
  <url name="Default" path="/{0}/default.aspx" pattern="/(\w+)/default.aspx" vanity="/System/default.aspx?Account=$1" />
  <url name="EditMode" path="/{0}/EditMode/{1}.aspx" pattern="/(\w+)/EditMode/(\d+).aspx" vanity="/System/default.aspx?Account=$1^owner=$2" />
  <url name="Files" path="/{0}/Files.aspx" pattern="/(\w+)/Files.aspx" vanity="/System/Files.aspx?Account=$1" />
  <url name="DelFolder" path="/{0}/DelFolder/{1}.aspx" pattern="/(\w+)/DelFolder/(\w+).aspx" vanity="/System/DelFolder.aspx?Account=$1^DirectoryID=$2" />
  <url name="GoDirectory" path="/{0}/GoDirectory/{1}.aspx" pattern="/(\w+)/GoDirectory/(\w+).aspx" vanity="/System/GoDirectory.aspx?Account=$1^DirectoryID=$2" />
  <url name="PlayMP3" path="/{0}/PlayMP3/{1}.aspx" pattern="/(\w+)/PlayMP3/(\w+).aspx" vanity="/System/PlayMP3.aspx?Account=$1^FileID=$2" />
  <url name="download" path="/{0}/FileDownload/{1}.aspx" pattern="/(\w+)/FileDownload/(\w+).aspx" vanity="/System/FileDownload.aspx?Account=$1^FileID=$2" />
  <url name="ReadPage" path="/{0}/ReadPage/{1}.aspx" pattern="/(\w+)/ReadPage/(\w+).aspx" vanity="/System/ReadPage.aspx?Account=$1^FileID=$2" />

  <url name="FileKey" path="/{0}/FileKey/{1}.aspx" pattern="/(\w+)/FileKey/(\w+).aspx" vanity="/System/FileKey.aspx?Account=$1^FileID=$2" />
  <url name="Operation" path="/{0}/Operation/{1}.aspx" pattern="/(\w+)/Operation/(\w+).aspx" vanity="/System/Operation.aspx?Account=$1^DirectoryID=$2" />
  <url name="Login" path="/Login.aspx" pattern="/Login.aspx" vanity="/Login.aspx" />
  <url name="Logout" path="/Logout.aspx" pattern="/Logout.aspx" vanity="/Logout.aspx" />
  <url name="Manage" path="/Admin" pattern="/Admin" vanity="/Admin" />
  <url name="Help" path="/Help.aspx" pattern="/Help.aspx" vanity="/Help.aspx" />
  <url name="Register" path="/Register.aspx" pattern="/Register.aspx" vanity="/Register.aspx" />
  <url name="BlogPost" path="/admin/main.aspx?url=/Admin/EditPost.aspx" pattern="/admin/main.aspx?url=/Admin/EditPost.aspx" vanity="/admin/main.aspx?url=/Admin/EditPost.aspx" />
  <url name="HomePage" path="/default.aspx" pattern="/default.aspx" vanity="/default.aspx" />
  <url name="UpdateFile" path="/{0}/{1}/UpdateFile.aspx" pattern="/(\w+)/([\w]+)/UpdateFile.aspx" vanity="/System/UpdateFile.aspx?Account=$1^FileID=$2" />
  <url name="Message" path="/{0}/Message.aspx" pattern="/(\w+)/Message.aspx" vanity="/Message.aspx?MessageID=$1" />
</urls>